module.exports = (api, options, rootOptions) => {
  api.extendPackage({
    devDependencies: {
      vue: "^2.5.16",
      axios: "^0.18.0"
    }
  });

  // Render vuetify plugin file
  api.render(
    {
      "./src/plugins/axios.js": "./templates/plugins/axios.js"
    },
    opts
  );

  const fs = require("fs");
  // adapted from https://github.com/Akryum/vue-cli-plugin-apollo/blob/master/generator/index.js#L68-L91
  api.onCreateComplete(() => {
    // Modify main.js
    helpers.updateMain(src => {
      const vueImportIndex = src.findIndex(line => line.match(/^import Vue/));

      src.splice(vueImportIndex + 1, 0, "import './plugins/axios'");

      return src;
    });
  });
};
